Skip to main content
POST
/
api
/
users
/
{user_id}
/
approve-email-change
Approve Email Change
curl --request POST \
  --url https://api.example.com/api/users/{user_id}/approve-email-change \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "email": "<string>",
  "is_active": true,
  "name": "<string>",
  "roles": [],
  "mfa_enabled": false,
  "is_platform_owner": false,
  "organization_id": 123,
  "organization": {
    "id": 123,
    "name": "<string>",
    "slug": "<string>",
    "license_type": "<string>",
    "uuid": "<string>",
    "plan_tier": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

user_id
integer
required

Cookies

antidote_session
string | null

Response

Successful Response

id
integer
required
email
string
required
is_active
boolean
required
name
string | null
roles
string[]
mfa_enabled
boolean
default:false
is_platform_owner
boolean
default:false
organization_id
integer | null
organization
OrganizationSummary · object

Compact org info embedded in auth payloads and user lists.

created_at
string<date-time> | null
updated_at
string<date-time> | null